Scala Compiler2.13.0 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package transform
  Definition Classes
    nsc
-  abstract class ExtensionMethods extends SubComponent with Transform with TypingTransformers

  Perform Step 1 in the inline classes SIP: Creates extension methods for all methods in a value class, except parameter or super accessors, or constructors.

  Perform Step 1 in the inline classes SIP: Creates extension methods for all methods in a value class, except parameter or super accessors, or constructors.

  Definition Classes
    transform
  Version

    2.10

- Extender
- ExtensionMethodType
- Phase
- StdPhase
- SubstututeRecursion
- TypingTransformer

c

scala.tools.nsc.transform.ExtensionMethods

# SubstututeRecursion

###

#### final class SubstututeRecursion extends TypingTransformer

Source
  ExtensionMethods.scala

Linear Supertypes
ExtensionMethods.TypingTransformer, Global.Transformer, Global.InternalTransformer, Global.Transformer, AnyRef, Any
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. SubstututeRecursion
2. TypingTransformer
3. Transformer
4. InternalTransformer
5. Transformer
6. AnyRef
7. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new SubstututeRecursion(origMeth: Global.Symbol, extensionMeth: Global.Symbol, unit: Global.CompilationUnit)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from SubstututeRecursion toany2stringadd[SubstututeRecursion] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (SubstututeRecursion, B)
   Implicit
     This member is added by an implicit conversion from SubstututeRecursion toArrowAssoc[SubstututeRecursion] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def atOwner[A](tree: Global.Tree, owner: Global.Symbol)(trans: => A): A
   Definition Classes
     TypingTransformer
8.  final def atOwner[A](owner: Global.Symbol)(trans: => A): A
   Definition Classes
     TypingTransformer → Transformer
9.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
10.  var curTree: Global.Tree
    Attributes
      protected
    Definition Classes
      TypingTransformer
11.  def currentClass: Global.Symbol
    Attributes
      protected
    Definition Classes
      Transformer
12.  def currentMethod: Global.Symbol
    Attributes
      protected
    Definition Classes
      Transformer
13.  var currentOwner: Global.Symbol
    Attributes
      protected[scala]
    Definition Classes
      Transformer
14.  def ensuring(cond: (SubstututeRecursion) => Boolean, msg: => Any): SubstututeRecursion
    Implicit
      This member is added by an implicit conversion from SubstututeRecursion toEnsuring[SubstututeRecursion] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
15.  def ensuring(cond: (SubstututeRecursion) => Boolean): SubstututeRecursion
    Implicit
      This member is added by an implicit conversion from SubstututeRecursion toEnsuring[SubstututeRecursion] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
16.  def ensuring(cond: Boolean, msg: => Any): SubstututeRecursion
    Implicit
      This member is added by an implicit conversion from SubstututeRecursion toEnsuring[SubstututeRecursion] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
17.  def ensuring(cond: Boolean): SubstututeRecursion
    Implicit
      This member is added by an implicit conversion from SubstututeRecursion toEnsuring[SubstututeRecursion] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
18.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
19.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
20.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
21.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from SubstututeRecursion toStringFormat[SubstututeRecursion] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
22.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
23.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
24.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
25.  var localTyper: (analyzer)#Typer
    Definition Classes
      TypingTransformer
26.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
27.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
28.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
29.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
30.  def toString(): String
    Definition Classes
      AnyRef → Any
31.  def transform(tree: Global.Tree): Global.Tree
    Definition Classes
      SubstututeRecursion → TypingTransformer → InternalTransformer → Transformer
32.  def transformCaseDefs(trees: List[Global.CaseDef]): List[Global.CaseDef]
    Definition Classes
      Transformer
33.  def transformIdents(trees: List[Global.Ident]): List[Global.Ident]
    Definition Classes
      Transformer
34.  def transformMemberDefs(trees: List[Global.MemberDef]): List[Global.MemberDef]
    Definition Classes
      Transformer
35.  def transformModifiers(mods: Global.Modifiers): Global.Modifiers
    Definition Classes
      Transformer
36.  def transformStats(stats: List[Global.Tree], exprOwner: Global.Symbol): List[Global.Tree]
    Definition Classes
      Transformer
37.  def transformTemplate(tree: Global.Template): Global.Template
    Definition Classes
      Transformer
38.  def transformTrees(trees: List[Global.Tree]): List[Global.Tree]
    Definition Classes
      Transformer
39.  def transformTypeDefs(trees: List[Global.TypeDef]): List[Global.TypeDef]
    Definition Classes
      Transformer
40.  def transformUnit(unit: Global.CompilationUnit): Unit
    Definition Classes
      Transformer
41.  def transformValDef(tree: Global.ValDef): Global.ValDef
    Definition Classes
      Transformer
42.  def transformValDefs(trees: List[Global.ValDef]): List[Global.ValDef]
    Definition Classes
      Transformer
43.  def transformValDefss(treess: List[List[Global.ValDef]]): List[List[Global.ValDef]]
    Definition Classes
      Transformer
44.  val treeCopy: Global.TreeCopier
    Definition Classes
      Transformer
45.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
46.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
47.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Deprecated Value Members

1.  def →[B](y: B): (SubstututeRecursion, B)
   Implicit
     This member is added by an implicit conversion from SubstututeRecursion toArrowAssoc[SubstututeRecursion] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from ExtensionMethods.TypingTransformer

### Inherited from Global.Transformer

### Inherited from Global.InternalTransformer

### Inherited from Global.Transformer

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromSubstututeRecursion to any2stringadd[SubstututeRecursion]

### Inherited by implicit conversion StringFormat fromSubstututeRecursion to StringFormat[SubstututeRecursion]

### Inherited by implicit conversion Ensuring fromSubstututeRecursion to Ensuring[SubstututeRecursion]

### Inherited by implicit conversion ArrowAssoc fromSubstututeRecursion to ArrowAssoc[SubstututeRecursion]

### Ungrouped